#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              2.0.0.0
visibility:           public
id:                   ghcide-2.0.0.0-9lVxPc4s36YGnVKpVZYEow
key:                  ghcide-2.0.0.0-9lVxPc4s36YGnVKpVZYEow
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  78bc372afc8c7ca151abf96b12d61568
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.2.8/site-local/ghcide-2.0.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/ghcide-2.0.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-2.0.0.0-9lVxPc4s36YGnVKpVZYEow
depends:
    Diff-0.4.1-7FIsQ73xcY0Cb7dwA3Aov7
    Glob-0.10.2-6gzFQ28yNHR4xhQSzuMTI0
    aeson-2.1.2.1-3rgGDwZqcHL8RNfGOD8e99
    aeson-pretty-0.8.10-8xoNX4eHfLa8G2355pi86K array-0.5.4.0
    async-2.2.5-BuJk1pCvRYOCTk3w3YOF9n base-4.16.4.0
    base16-bytestring-1.0.2.0-KyQYnWM7W62FsS4cncZoMW binary-0.8.9.0
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-EnSgvsXdRX78Hz3HwummHY
    co-log-core-0.3.2.3-4gl2JIeW57aI58rAQsycXO containers-0.6.5.1
    cryptohash-sha1-0.11.101.0-JH4pl0Zs9eeKDNJZ01HdTa
    data-default-0.7.1.1-4Q2QEONQl2rBpJbSE6OFE3 deepseq-1.4.6.1
    dependent-map-0.4.0.0-E8SaZtaxXmd9COpsMIdaED
    dependent-sum-0.7.2.0-CsD40BVgXWlKMzDzXM9LH6 directory-1.3.6.2
    dlist-1.0-HCxoMn9TirQDgPCFxho7O
    enummapset-0.7.3.0-KT4SaMlbMwA4x5KqFVbyhh exceptions-0.10.4
    extra-1.7.16-JutnBsile2D4Agvqb7rAf9 filepath-1.4.2.2
    fingertree-0.1.5.0-5LF4k5tmEsjCAcmmOCL9WT
    focus-1.0.3.2-209wij2iumzGObD26d5jja ghc-9.2.8 ghc-boot-9.2.8
    ghc-boot-th-9.2.8 ghc-check-0.5.0.8-6PyUBbZs6QuKQO4KrFXWAd
    ghc-paths-0.1.0.12-KU8OzVy7s6GithbR4F0cp
    ghc-trace-events-0.1.2.9-FI8xtj0TQjuI48HJs0fG9x
    haddock-library-1.11.0-4hOM6OHaMcb2PDXGzGmhsT
    hashable-1.4.4.0-EsPTAmPpYqX3hovcHlHOLX
    hie-bios-0.12.0-I0Dcz2TKavPLqI8EKzC2Np
    hie-compat-0.3.0.0-J18lPJVEz9RKJxYK1ST1Nn
    hiedb-0.4.3.0-7pLCQfaXHm2Fkz6jCR8oVa
    hls-graph-2.0.0.0-LF5fQEi8y84LunrXq205cT
    hls-plugin-api-2.0.0.0-5GnkJAGB2nQAhaXVJPcdO1
    implicit-hie-0.1.2.7-7zQcs5mWavfCmboaqtku8h
    implicit-hie-cradle-0.5.0.1-866UyzuawYR9HGQEQS5e8C
    lens-5.2.3-ArLZ6zglf4zFaksKXWD2Ie
    list-t-1.0.5.5-4HfgnLAL7GM4VvAzLYYUJS
    lsp-1.6.0.0-FKJ89SeTQhXPWM72HmLp
    lsp-types-1.6.0.1-3bHFrcHlBGJ8WaaYSUkkgG mtl-2.2.2
    opentelemetry-0.8.0-H0QVjmKx85u5Z1sJxhSBcE
    optparse-applicative-0.17.1.0-5WwaUeflbC2jns3305ikj
    parallel-3.2.2.0-KgDyPHm89eYAjQsIhXthC1
    prettyprinter-1.7.1-AXGwST4URaJEx6H9Czu9UT
    prettyprinter-ansi-terminal-1.1.3-7EAiibFy6yC1dOyWwEn7uK
    random-1.2.1.2-KvuM1oiX8xJ7hOrYY9vw8O
    regex-tdfa-1.3.2.2-6AnOm16VvTN1aosgtNckO2
    safe-exceptions-0.1.7.4-FFFvaLMe45aLklWLtXEEeY
    sorted-list-0.2.2.0-EHBw0sX4LC51HLYaAvbwB1
    sqlite-simple-0.4.19.0-LJSziuqgT7eDFCg6sT4xQg stm-2.5.0.2
    stm-containers-1.2.1.1-9fAU5ljyjFM2Bpah1XmglM
    syb-0.7.2.4-KjjXDkbXsb76a0JbGOnZpL text-1.2.5.0
    text-rope-0.3-fR1LhHPjEiE9HhJ08ZB4l time-1.11.1.1
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.25.1-CkFJ8hPpvZqDy07m1hxo9U
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-3olzmtJszxXc2LJr1lW5F
    vector-0.13.1.0-IOwb1qSGKSdHIyg7Qp7MNu

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

